Differences between 1.1.4 JAILBREAK and 2.1 JAILBREAK?

Discussion in 'iPod touch Firmware 2.X Jailbreak' started by Nross666, Sep 14, 2008.

  1. Nross666

    Nross666 New Member

    Joined:
    Apr 13, 2008
    Messages:
    31
    Likes Received:
    0
    Device:
    iPod touch
    Hi guys I'm no newbie to jailbreaking, but I am to the 2.x. jailbreak. Basically i'd like to know common issues, problems ect. I've never used cydia before, only installer, so you may have to fill me in on that, sorry. What are the issues regarding installer apps (gpsPhone? summerboard? Customize? Are there special sources to add? Should I even install installer, and just stick with cydia? I remember hearing that 1.1.4 jailbroken apps dont work with the 2.0 firmware? (btw i'm on 2.1) Or was I misinformed? What apps are reccommended/work? How do add themes? I've bought some apps off app store, are there any problems transferring them?
    I'm sorry I don't know an awful lot, I held back upgrading to 2.1 slightly late, i think, so i'm not really up to date on everything happening on the 2.1 jailbreak scene. I know a lot about 1.1.4, so if you could relate it back to that it would be really helpful.

    I'm really grateful if any of my questions are answered, but I would like as many as possible so this thread can be of use to other people besides me.

    Thank you SO much to anyone who replies.
  2. jieo

    jieo New Member

    Joined:
    May 4, 2008
    Messages:
    552
    Likes Received:
    0
    Device:
    iPod touch
    ok there is really alot of issues with it (as far as i know... haven't had any problems with mine)

    1. um customize isn't really necessary anymore since a new program came in .. winterboard (replaces both customize and summerboard.
    2. gpsphone works fine (i have it and its much better .. less lag)
    3. with the new jailbreaiking 2.1 you can add both cydia and installer (i suggest do both)
    4. cydia is becoming more and more stable then installer (it'll probably take a while before installer becomes FULLY stable
    5. 1.1.4 apps do work (its just the matter of it being ported to the 2.X FW)
    6. and no there isn't any problem of syncing your bought apps from appstore to you ipod

    and done =)
  3. mex_storm

    mex_storm New Member

    Joined:
    Sep 15, 2008
    Messages:
    1
    Likes Received:
    0
    I have a jailbroken iPhone (16GB with 2.1 firmware). Installer is just shy of useless for me as I get tons of errors when I try to install something. There seems to be some sort of compatibility issue. I was running a standard phone for a while but used the QuickPwn 1.1 tool to jailbreak. Cydia seems to work fine, but most of the apps that I wanted to get (like Raging Thunder) don't work within Installer. I can't even download them.
  4. xxDriveNxx

    xxDriveNxx Member

    Joined:
    Oct 27, 2007
    Messages:
    80
    Likes Received:
    0
    Device:
    2G iPod touch
    That is because they probably haven't been ported to 2.0, and thus probably don't exist.
  5. comocho

    comocho Member

    Joined:
    Dec 1, 2007
    Messages:
    31
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    sorry to ask. I'm a noob to the 2.x firmware as well. (I'm using 1.1.4) can I update my touch straight away to 2.1 using the new quickpwn or do i have to go through 2.0.1? and will it format my ipod touch? is there anything else i should know about when upgrading???
    Thanks a lot guys.
  6. bobby681

    bobby681 Active Member

    Joined:
    Jun 24, 2008
    Messages:
    2,588
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    Upgrade to 2.0 first, then to 2.1, then quickpwn, its the safest route. And yeah its probably best to restore to 2.0 and 2.1 because it will leave less room for error in my opinion.

    Please Register or Log in to view images

  7. comocho

    comocho Member

    Joined:
    Dec 1, 2007
    Messages:
    31
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    Thanks! I'll give it a try!
  8. Bobo39

    Bobo39 New Member

    Joined:
    Feb 17, 2008
    Messages:
    17
    Likes Received:
    0
    Well, I was on 1.3 jailbreak and last saturday with the awesome instructions on this site I managed to jailbreak my first gen IPOd touch to 2.1. Ohhh boy I was missing a lot. the whole process took me about an hour, I read the instructions like 10 times before I took the plunge. but is worth it.
  9. xxhorseriderxxx

    xxhorseriderxxx Banned

    Joined:
    Jan 9, 2008
    Messages:
    544
    Likes Received:
    0
    Device:
    iPod touch
    I'm actually still on 1.1.4, but I've been religiously keepin' up with all the iPod info, talk, and speculation. One of the major things I stay on 1.1.4 is the stability, 5 icon dock, emulators, VOIP, and customization. Since most/all of my needs are met, and there are many more nicer things in 2.X, I can see myself upgradin' very soon now. I also hear from touchmods that they'll be providin' a patch fer their iPod Touch mic, so I'm definately gonna jump on that when it comes out ^_~

    P.S.

    5 icon dock no longer requires a Kate crack, 5 icon dock is free in Cydia now =]
  10. ebelp

    ebelp New Member

    Joined:
    Oct 19, 2007
    Messages:
    13
    Likes Received:
    0
    Device:
    iPhone 3GS (White)
    What did you find most beneficial about the upgrade? I also recently went from jailbroken 1.1.2 to 2.1 and then yesterday I "upgraded" to jailbroken 2.1. Honestly, besides the emulators, I don't see what the big deal is. I don't really care about all the themes/wallpapers/etc., and 90% of the apps I've seen are for the iPhone, not the iPod Touch. Guess I need to add some more sources and see what else is out there, cuz I feel like I'm missing something.

Share This Page